## dvorak7min 1.6.1+repack

=== Makefile ===
INSTALL = /usr/local/games/bin

# Uncomment these lines if you want to change the defaults to something else

#PRETTINESS = -DNOT_SO_PRETTY
#NASTINESS = -DNASTY_AS_USUAL
#BEEPS = -DBEEPS_ARENT_IRRITATING
#FLASHES = -DFLASHES_ARENT_IRRITATING
#COLORS = -DNO_COLORS_PLEASE

# Max length of imported texts.  Set it to 0 or comment it if you don't want
# a limit
LIMIT_LENGTH = -DLIMIT_LENGTH=1024

### That's all ###

#CC      = gcc
PROF    = -g0 -O2
CFLAGS  = $(PROF) -Wall \
	$(PRETTINESS) $(NASTINESS) $(BEEPS) $(FLASHES) $(COLORS) \
	$(LIMIT_LENGTH)
LDFLAGS = $(PROF)
LIBS    = -lncurses

OBJECTS = dvorak7min.o lessons.o
HEADERS = lessons.h
TARGET  = dvorak7min
		
dvorak7min: $(OBJECTS)
	$(CC) $(LDFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS)

all: dvorak7min

clean:
		rm -f $(OBJECTS) $(TARGET)
install:
		install -d $(INSTALL)
		install -s dvorak7min $(INSTALL)

## dvorak7min 1.6.1

=== debian/changelog ===
dvorak7min (1.6.1-13.1) unstable; urgency=low

  * Non-maintainer upload.
  * rm no longer accepts the -d option. Don't use it in debian/rules
    (closes: #642676). Thanks to Bert Agaz for the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 27 Nov 2011 00:08:12 +0100

dvorak7min (1.6.1-13) unstable; urgency=low

  * Bump Standards-Version to 3.9.1.0
  * New maintainer (Closes: #588878)
  * Delete errors.out (it's a relic)

 -- Martin Kelly <aomighty@gmail.com>  Wed, 22 Dec 2010 00:13:38 -0800

dvorak7min (1.6.1-12) unstable; urgency=low

  * Bump Standards-Version to 3.8.4
  * Switch to 3.0 (quilt) source format

 -- Francois Marier <francois@debian.org>  Tue, 16 Feb 2010 16:00:21 +1300

dvorak7min (1.6.1-11) unstable; urgency=low

  * Bump Standards-Version to 3.8.3
  * Bump debhelper compatibility to 7
  * Add misc:depends (lintian warning)
  * Add empty watch file describing upstream situation
  * Expand the extended description
  * Cleanup debian/copyright (lintian warning)

 -- Francois Marier <francois@debian.org>  Mon, 05 Oct 2009 11:35:11 +1300

dvorak7min (1.6.1-10) unstable; urgency=low

  * Break up lessons which are longer than 6 lines so that they fit
    on the whole screen
  * Switch VCS fields to git
  * Bump Standards-Version to 3.8.0 (no changes)
  * Bump debhelper compatibility to 6

 -- Francois Marier <francois@debian.org>  Mon, 24 Nov 2008 17:08:39 +1300

dvorak7min (1.6.1-9) unstable; urgency=low

  * Remove broken scripts in doc/examples which are outside the scope of
    this package anyways (closes: #455062)
  * Bump standards-version to 3.7.3 (no changes)

 -- Francois Marier <francois@debian.org>  Mon, 10 Dec 2007 09:34:35 +1300

dvorak7min (1.6.1-8) unstable; urgency=low

  * Remove homepage field, the website is no longer accessible
  * Rename XS-Vcs-* fields to Vcs-* 

 -- Francois Marier <francois@debian.org>  Tue, 20 Nov 2007 15:37:45 +1300

dvorak7min (1.6.1-7) unstable; urgency=low

  * Remove watch file since the website doesn't exist anymore (closes: #449912)

 -- Francois Marier <francois@debian.org>  Mon, 19 Nov 2007 17:03:41 +1300

dvorak7min (1.6.1-6) unstable; urgency=low

  * Add homepage field in debian/control
  * Mention the collab-maint repo in debian/control

 -- Francois Marier <francois@debian.org>  Fri, 19 Oct 2007 16:18:03 +1300

dvorak7min (1.6.1-5) unstable; urgency=low

  * Remove reference to the example scripts (closes: #396456)
  * Update watch file and copyright file for the new location of upstream sources
  * Bump up Standard-Version to 3.7.2:
    - Remove unnecessary call to dh_installxfonts

 -- Francois Marier <francois@debian.org>  Sun, 12 Nov 2006 17:48:17 -0500

dvorak7min (1.6.1-4) unstable; urgency=low

  * Recompile without colors since they are broken on some architecture
    (closes: #329700) Thanks to Diego for the patch.

 -- Francois Marier <francois@debian.org>  Tue, 11 Oct 2005 15:46:26 -0400

dvorak7min (1.6.1-3) unstable; urgency=low

  * New maintainer (closes: #327439). Thanks Nigel for the clean-ups!
  * Update FSF postal address in debian/copyright
  * Remove the build instructions from upstream's README
  * Remove unnecessary commented out lines from debian/rules
  * Add "make clean" to the clean target in debian/rules

 -- Francois Marier <francois@debian.org>  Sat, 10 Sep 2005 19:46:34 -0400

dvorak7min (1.6.1-2) unstable; urgency=low

  * Apply patch to fix typing speed calculations (Closes: #242478)
  * Change dvorak7min.c to display WPM/WPS instead of CPM/CPS (Closes: #317387)

 -- Nigel Jones <nigelj@gmail.com>  Thur, 4 Aug 2005 14:26:45 +1200

dvorak7min (1.6.1-1) unstable; urgency=low

  * New upstream release
  * New Maintainer. (Closes: #314844)

 -- Nigel Jones <nigelj@gmail.com>  Mon, 8 Jul 2005 21:27:10 +1200

dvorak7min (1.6-1) unstable; urgency=low

  * New upstream release.
  * Cleaned up upstream source. (Closes: #159061)

 -- Ivo Timmermans <ivo@debian.org>  Sun, 13 Oct 2002 13:52:18 +0200

dvorak7min (1.5-5) unstable; urgency=low

  * Spelling fixes. (Closes: #128489, #133853)

 -- Ivo Timmermans <ivo@debian.org>  Fri, 22 Feb 2002 14:55:27 +0100

dvorak7min (1.5-4) unstable; urgency=low

  * Changed sys_errlist to calls to strerror(). (Closes: #107019)
  * Updated standards version to current.

 -- Ivo Timmermans <ivo@debian.org>  Mon, 30 Jul 2001 20:29:59 +0200

dvorak7min (1.5-3) unstable; urgency=low

  * New maintainer.

 -- Ivo Timmermans <ivo@debian.org>  Tue, 19 Dec 2000 22:13:28 +0100

dvorak7min (1.5-2) unstable; urgency=low

  * debian/rules: cleaned up a bit.  
  * debian/examples: asdf and aeou moved to examples (Closes: Bug#53334).

 -- Edward Betts <edward@debian.org>  Tue, 18 Apr 2000 15:42:50 +0100

dvorak7min (1.5-1) unstable; urgency=low

  * New upstream release
  * debian/copyright: rewrote.
  * debian/watch: added.

 -- Edward Betts <edward@debian.org>  Mon, 17 Apr 2000 11:49:26 +0100

dvorak7min (1.4-4) unstable; urgency=low

  * New maintainer.
  * Created debian/dirs and debian/links.

 -- Edward Betts <edward@debian.org>  Fri, 31 Dec 1999 01:11:55 +0000

dvorak7min (1.4-3) unstable; urgency=low

  * Official Maintainer release.

 -- Edward C. Lang <edlang@debian.org>  Thu, 16 Sep 1999 20:36:05 +1000

dvorak7min (1.4-1) unstable; urgency=low

  * New upstream version.

 -- Joseph Carter <knghtbrd@debian.org>  Sun, 30 May 1999 04:00:47 -0700

dvorak7min (1.2-1) unstable; urgency=low

  * New upstream version (closes: bug#34476)

 -- Joseph Carter <knghtbrd@debian.org>  Sat, 13 Mar 1999 17:31:16 -0800

dvorak7min (1.1-1) unstable; urgency=low

  * New upstream version

 -- Joseph Carter <knghtbrd@debian.org>  Mon,  1 Feb 1999 12:14:39 -0800

dvorak7min (1.0-2) unstable; urgency=low

  * fixed aoeu/asdf which I got backwards in my head
  * corrected copyright file

 -- Joseph Carter <knghtbrd@debian.org>  Wed, 27 Jan 1999 10:39:15 -0800

dvorak7min (1.0-1) unstable; urgency=low

  * Initial packaging
  * Wrote asdf and aoeu scripts


=== debian/control ===
Source: dvorak7min
Section: games
Priority: optional
Maintainer: Martin Kelly <aomighty@gmail.com>
Standards-Version: 3.9.1.0
Build-Depends: debhelper (>= 7), libncurses5-dev
Vcs-git: git://git.debian.org/git/collab-maint/dvorak7min.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/dvorak7min.git;a=summary

Package: dvorak7min
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: typing tutor for Dvorak keyboards
 dvorak7min is a typing tutor to help you learn the Dvorak keyboard layout.
 .
 It consists of 29 short lessons and will gives immediate feedback on typing
 speed and accuracy.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	rm -rf $(CURDIR)/debian/dvorak7min/usr

	dh_clean
	make clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	install -o root -g root -m 755 dvorak7min \
		 $(CURDIR)/debian/dvorak7min/usr/games

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installcron
	dh_installman debian/dvorak7min.6
	dh_installinfo
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
# This package is no longer maintained upstream and the original homepage is gone.

## dvorak7min 1.6.1%2Brepack

=== debian/control ===
Source: dvorak7min
Section: education
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Martin Kelly <martin@martingkelly.com>
Standards-Version: 3.9.6.0
Build-Depends: debhelper (>= 9), libncurses5-dev
Vcs-git: git://anonscm.debian.org/collab-maint/dvorak7min.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dvorak7min.git;a=summary

Package: dvorak7min
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: typing tutor for Dvorak keyboards
 dvorak7min is a typing tutor to help you learn the Dvorak keyboard layout.
 .
 It consists of 29 short lessons and will gives immediate feedback on typing
 speed and accuracy.

## dvorak7min 1.6.1+repack

=== debian/changelog ===
dvorak7min (1.6.1+repack-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Fix wrong Vcs-*

  [ Martin Kelly ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make (Closes: #923641).
    Patch provided by Helmut Grohne.
  * Add lintian overrides
  * Update hardening scheme
  * Bump standards version (no changes needed).

 -- Martin Kelly <martin@martingkelly.com>  Sun, 03 Mar 2019 14:40:53 -0800

dvorak7min (1.6.1+repack-3) unstable; urgency=medium

  [ Martin Kelly ]
  * Fix debug-file-with-no-debug-symbols Lintian warning by removing the
    hard-coded PROF var from the Makefile.
  * Remove menu file to comply with policy and fix the
    command-in-menu-file-and-desktop-file Lintian warning.
  * Bump Standards-Version to 4.1.5.
  * Move VCS location to Salsa.

  [ Francois Marier ]
  * Remove trailing whitespace in debian/changelog
  * Upgrade debian/copyright URL to HTTPS
  * Bump debhelper compat to 11

 -- Martin Kelly <martin@martingkelly.com>  Mon, 30 Jul 2018 19:42:41 -0700

dvorak7min (1.6.1+repack-2) unstable; urgency=medium

  * Update Standards-Version to 3.9.6.0 (no changes needed)
  * Use dpkg-buildflags instead of hardening-wrapper (fixes lintian warning)
  * Fix lintian warning for public-domain license
  * Added .patch extension to patch

 -- Martin Kelly <martin@martingkelly.com>  Wed, 24 Jun 2015 10:18:21 -0700

dvorak7min (1.6.1+repack-1) unstable; urgency=low

  * Update Standards-Version to 3.9.5.0 (no changes needed)
  * Update debhelper version to 9
  * Repack upstream source to be the same as real upstream, and move Debian
    modifications to patches
  * Changed maintainer email address
  * Remove unnecessary arguments to install invocation
  * Remove watch file (no longer used)
  * Cleaned up rules file and removed lintian warnings
  * Add desktop menu icon (Closes: #737862)
  * Change section from games to education
  * Fixed several lintian issues

 -- Martin Kelly <martin@martingkelly.com>  Sun, 23 Feb 2014 17:35:20 -0800

dvorak7min (1.6.1-14) UNRELEASED; urgency=low

  * Minor build changes (Closes: #642676)

 -- Martin Kelly <aomighty@gmail.com>  Tue, 27 Sep 2011 16:02:33 -0400

=== debian/control ===
Source: dvorak7min
Section: education
Priority: optional
Maintainer: Martin Kelly <martin@martingkelly.com>
Standards-Version: 4.3.0
Build-Depends: debhelper (>= 11), libncurses5-dev
Vcs-Git: https://salsa.debian.org/debian/dvorak7min.git
Vcs-Browser: https://salsa.debian.org/debian/dvorak7min

Package: dvorak7min
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: typing tutor for Dvorak keyboards
 dvorak7min is a typing tutor to help you learn the Dvorak keyboard layout.
 .
 It consists of 29 short lessons and will gives immediate feedback on typing
 speed and accuracy.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

build-arch: build-stamp
build-indep:

build-stamp:
	dh_testdir
	dh_auto_build
	touch build-stamp

build: build-stamp build-arch build-indep

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	dh_clean
	make clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	install -D dvorak7min $(CURDIR)/debian/dvorak7min/usr/bin/dvorak7min
	install -D -m644 debian/dvorak7min.xpm $(CURDIR)/debian/dvorak7min/usr/share/pixmaps/dvorak7min.xpm
	install -D debian/dvorak7min.desktop $(CURDIR)/debian/dvorak7min/usr/share/applications/dvorak7min.desktop

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installcron
	dh_installman debian/dvorak7min.6
	dh_installinfo
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build-indep build-arch build clean binary-indep binary-arch binary install

=== debian/watch ===
# This project was originally found at the following URL:
# http://www.linalco.com/ragnar/
# However, that URL is no longer valid, and the project has been abandoned
# upstream.
